{% extends 'layout.html.twig' %}

{% import 'group/_navigation.html.twig' as nav %}

{% block content %}
  <h1>{{ 'group.action.list'|trans }}</h1>

  <div class="row expanded collapse">
    <div class="medium-6 large-4 column end">
      <table class="hover">
        <thead>
          <tr>
            <th>{{ 'group.entity.title'|trans }}</th>
            <th width="40%">{{ 'common.action'|trans }}</th>
          </tr>
        </thead>
        <tbody>
          {% for entity in entities %}
            <tr>
              <td>{{ entity.title }}</td>
              <td>
                {{ nav.actions(entity, {'read': true, 'update': true, 'delete': true}, false) }}
              </td>
            </tr>
          {% endfor %}
          {% if entities|length == 0 %}
            <tr>
              <td colspan="3">{{ 'common.noRecords'|trans }}</td>
            </tr>
          {% endif %}
        </tbody>
      </table>
    </div>
  </div>

  {{ nav.actions(null, {'create': true}) }}
{% endblock %}
